package me.qwq.doghouse.dao;

import java.util.Map;

import me.qwq.doghouse.enums.PostTypeEnum;

public interface StatisticsMapper {

    
    String getDatabaseVersion();
    
    /**
     * 获取过去 passDay 日的每日文章和评论数统计
     * @param passDays
     * @param postType
     * @return
     */
    Map<String, String> getPostAndCommentCountsWithDates(Integer passDays, PostTypeEnum postType);
    
}
